Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std.ui
Class PublishAnno

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.std.ui.PublishAnno

public class PublishAnno
extends Behavior

Write annotations to server. (As opposed to ordinary "saving", which automatically writes locally in directory tree parallel to cache tree--may want annos and extras and rely on robust locations for reassoc with pages.)

Version:
  $Revision$ $Date$
See Also:
  `SaveAnnoAs`

Field Summary
`static java.lang.String` | `ATTR_TITLE` Hub attribute that gives text to show in menu item.
`static java.lang.String` | `ATTR_URI` Hub attribute that sets URI of server to which to write annos.
`static java.lang.String` | `MSG_PUBLISH` Write annotations to a server.

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Constructor Summary
`PublishAnno()`

Method Summary
`void` | `restore(ESISNode n, java.util.Map<java.lang.String,java.lang.Object> attr, Layer layer)` Takes the place of a constructor's initialization functions; that is, it is invoked exactly once immediately after object instantiation.
`boolean` | `semanticEventAfter(SemanticEvent se, java.lang.String msg)` Round robin distribution to all behaviors.
`boolean` | `semanticEventBefore(SemanticEvent se, java.lang.String msg)` At `VMenu.MSG_CREATE_FILE`, add "Publish Annos to " to menu.

Methods inherited from class multivalent.Behavior
`buildAfter, buildBefore, checkRep, clipboardAfter, clipboardBefore, createUI, destroy, eventAfter, eventBefore, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, paintAfter, paintBefore, putPreference, redo, restoreChildren, save, setName, toString, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MSG_PUBLISH

    public static final java.lang.String MSG_PUBLISH

  Write annotations to a server.

  `"publishAnnos"`.

  See Also:
    Constant Field Values

### ATTR_URI

    public static final java.lang.String ATTR_URI

  Hub attribute that sets URI of server to which to write annos.

  See Also:
    Constant Field Values

### ATTR_TITLE

    public static final java.lang.String ATTR_TITLE

  Hub attribute that gives text to show in menu item.

  See Also:
    Constant Field Values

Constructor Detail

### PublishAnno

    public PublishAnno()

Method Detail

### restore

    public void restore(ESISNode n,
                        java.util.Map<java.lang.String,java.lang.Object> attr,
                        Layer layer)

  Description copied from class: `Behavior`
  Takes the place of a constructor's initialization functions; that is, it is invoked exactly once immediately after object instantiation. When restored from hub, passed XML content subtree if any as first parameter and attributes from XML tag's attributes. This protocol cannot be short-circuited.

  Overrides:
    `restore` in class `Behavior`

### semanticEventBefore

    public boolean semanticEventBefore(SemanticEvent se,
                                       java.lang.String msg)

  At `VMenu.MSG_CREATE_FILE`, add "Publish Annos to " to menu.

  Overrides:
    `semanticEventBefore` in class `Behavior`

### semanticEventAfter

    public boolean semanticEventAfter(SemanticEvent se,
                                      java.lang.String msg)

  Description copied from class: `Behavior`
  Round robin distribution to all behaviors. Message and clientData unpacked from SemanticEvent for convenience. Message is interned, so if you compare to a literal, you can use "==". Message can't be changed (it can be short-circuited out of), but client data can be mutated as it is passed along (so it's not passed as a parameter).

  Overrides:
    `semanticEventAfter` in class `Behavior`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD